vCenter Server 5.0 Update 1a fails on an Oracle DB ( upgrade )

Issue : Upgrading to vCenter Server 5.0 Update 1a fails on an Oracle database with the error: PLS-00905 STATS_ROLLUP2_PROC is invalid

Error :

When installing via the media VMware-VIMSetup-all-5.0.0-757163, the  VCDatabaseUpgrade.log reports an error similar to:

 

LS-00905: object STATS_ROLLUP2_PROC is invalid
ORA-06550: line 1, column 99:
PL/SQL: Statement ignored
ORA-06512: at “SYS.DBMS_JOB”, line 82
ORA-06512: at “SYS.DBMS_JOB”, line 140
ORA-06512: at line 39

 

 

Solution :

restore the vCenter Server database to a working version

Leave a Reply

Your email address will not be published. Required fields are marked *